<?php


use app\event\TiktokAds;
use app\event\TiktokAdsDetails;
use app\event\GoogleAdsCampaigns;
use app\event\GoogleAdsGroups;
use app\event\GoogleAdsAds;
use app\event\GoogleAdsCreatives;
use app\event\GoogleAdsAssets;
use app\event\GoogleAdsAssetRelations;
use app\event\GoogleAdsCustomers;
use app\event\GoogleAdsDateDatas;


return [
    //知乎热榜
//    TiktokAds::type => [
//        [TiktokAds::class, 'update'],
//    ],
//    TiktokAdsDetails::type => [
//        [TiktokAdsDetails::class, 'update'],
//    ],


    GoogleAdsCampaigns::event => [
        [GoogleAdsCampaigns::class, 'syncCampaigns'],
    ],
    GoogleAdsCampaigns::queue => [
        [GoogleAdsCampaigns::class, 'getCampaigns'],
    ],
    GoogleAdsGroups::event => [
        [GoogleAdsGroups::class, 'syncGroups'],
    ],
    GoogleAdsGroups::queue => [
        [GoogleAdsGroups::class, 'getGroups'],
    ],
    GoogleAdsAds::event => [
        [GoogleAdsAds::class, 'syncAds'],
    ],
    GoogleAdsAds::queue => [
        [GoogleAdsAds::class, 'getAds'],
    ],
    GoogleAdsAssets::event => [
        [GoogleAdsAssets::class, 'syncAssets'],
    ],
    GoogleAdsAssets::queue => [
        [GoogleAdsAssets::class, 'getAssets'],
    ],
    GoogleAdsCreatives::event => [
        [GoogleAdsCreatives::class, 'syncCreatives'],
    ],
    GoogleAdsCreatives::queue => [
        [GoogleAdsCreatives::class, 'getCreatives'],
    ],
    GoogleAdsAssetRelations::event => [
        [GoogleAdsAssetRelations::class, 'syncAssetRelations'],
    ],
    GoogleAdsAssetRelations::queue => [
        [GoogleAdsAssetRelations::class, 'getAssetRelations'],
    ],

    GoogleAdsAssetRelations::video_queue => [
        [GoogleAdsAssetRelations::class, 'getVideoAssetRelations'],
    ],
    GoogleAdsDateDatas::event => [
        [GoogleAdsDateDatas::class, 'syncDateDatas'],
    ],
    GoogleAdsDateDatas::queue => [
        [GoogleAdsDateDatas::class, 'getDateDatas'],
    ],
    GoogleAdsCustomers::event => [
        [GoogleAdsCustomers::class, 'addCustomers'],
    ],
    GoogleAdsCustomers::add_queue => [
        [GoogleAdsCustomers::class, 'addCustomers'],
    ],


];
