<?php

namespace app\queue\redis;

use app\event\GoogleAdsGroups;
use Webman\Event\Event;
use Webman\RedisQueue\Consumer;

class GoogleAdsGroupQueue implements Consumer
{
    // 要消费的队列名
    public $queue = GoogleAdsGroups::queue;

    // 连接名，对应 plugin/webman/redis-queue/redis.php 里的连接`
    public $connection = 'default';

    // 消费
    public function consume($data)
    {
//        dump($this->queue.' consumed',$data);
        Event::emit(GoogleAdsGroups::queue, $data);
    }

}